Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 921656 - dev-python/pygobject-3.46.0-r1 installs deprecated .egg/.egg-info (GCC-14-SYSTEM)
Summary: dev-python/pygobject-3.46.0-r1 installs deprecated .egg/.egg-info (GCC-14-SYS...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 921639
  Show dependency tree
 
Reported: 2024-01-09 10:52 UTC by Agostino Sarubbo
Modified: 2024-07-17 14:12 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,274.21 KB, text/plain)
2024-01-09 10:52 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-01-09 10:52:39 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-python/pygobject-3.46.0 installs deprecated .egg/.egg-info (GCC-14-SYSTEM).
Discovered on: amd64 (internal ref: gcc14_tinderbox)

NOTE:
(GCC-14-SYSTEM) in the summary means that the bug was found on a machine that runs gcc-14 but this bug MAY or MAY NOT BE related to the new compiler
Comment 1 Agostino Sarubbo gentoo-dev 2024-01-09 10:52:41 UTC
Created attachment 881748 [details]
build.log

build log and emerge --info
Comment 3 Agostino Sarubbo gentoo-dev 2024-06-12 06:46:12 UTC
ci has reproduced this issue with version 3.46.0-r1 - Updating summary.
Comment 4 Larry the Git Cow gentoo-dev 2024-07-17 12:12:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=920f358699de1df0d15870759704be3b76a4d153

commit 920f358699de1df0d15870759704be3b76a4d153
Author:     Guillermo Joandet <gjoandet@gmail.com>
AuthorDate: 2024-02-15 15:36:19 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2024-07-17 12:11:29 +0000

    dev-python/pygobject: Bump to 3.48.2
    
    Closes: https://bugs.gentoo.org/921656
    Signed-off-by: Guillermo Joandet <gjoandet@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/35350
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>

 dev-python/pygobject/Manifest                |  1 +
 dev-python/pygobject/pygobject-3.48.2.ebuild | 80 ++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)